Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.scheduler
Class Notification

    java.lang.Object
      oracle.ias.scheduler.Notification

All Implemented Interfaces:
  java.io.Serializable

public final class Notification
extends java.lang.Object
implements java.io.Serializable

The application developer uses this system-supplied class to specify a notification. Each notification has a name, composed of a sequence of one or more alphanumeric characters. This name is used to identify the occurrence of an application-level event.

See Also:
  `Scheduler.notify(oracle.ias.scheduler.Notification)`, Serialized Form

Field Summary
`static java.lang.String` | `REPLAY`
`static java.lang.String` | `RETRY`
`static java.lang.String` | `TIMEOUT`

Constructor Summary
`protected` | `Notification()` Constructs a notification with no name.
`` | `Notification(java.lang.String name)` Constructs a notification with the name specified.

Method Summary
`boolean` | `equals(java.lang.Object v)` Indicates whether some object is "equal to" this one.
`java.lang.String` | `getName()` Gets the name of the notification.
`int` | `hashCode()` Returns a hash code value for the schedule.
`void` | `setName(java.lang.String name)` Sets the notification name.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TIMEOUT

    public static final java.lang.String TIMEOUT

See Also:
  Constant Field Values

### REPLAY

    public static final java.lang.String REPLAY

See Also:
  Constant Field Values

### RETRY

    public static final java.lang.String RETRY

See Also:
  Constant Field Values

Constructor Detail

### Notification

    protected Notification()

  Constructs a notification with no name. Internal use only.

### Notification

    public Notification(java.lang.String name)
                 throws InvalidArgumentException

  Constructs a notification with the name specified.

Parameters:
  `name` - The name of the notification.
Throws:
  `InvalidArgumentException` - If the name is null, empty, or contains non-alphanumeric characters.

Method Detail

### setName

    public void setName(java.lang.String name)
                 throws InvalidArgumentException

  Sets the notification name.

  Parameters:
    `name` - The name of the notification.
  Throws:
    `InvalidArgumentException` - If the name is null, zero-length, reserved, or contains non-alphanumeric characters.

### getName

    public java.lang.String getName()

  Gets the name of the notification.

  Returns:
    The name of the notification.

### hashCode

    public int hashCode()

  Returns a hash code value for the schedule.

### equals

    public boolean equals(java.lang.Object v)

  Indicates whether some object is "equal to" this one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.